Skip to main content
GET
/
screening
/
travel_rule
/
vasp
TypeScript
const response: Promise<FireblocksResponse<TravelRuleGetAllVASPsResponse>> = fireblocks.travelRule.getVASPs(travelRuleApiGetVASPsRequest);
{
  "data": [
    {
      "did": "did:ethr:0x17fe2dd11a2daa7f6c1fdf22532a4763f963aea6",
      "name": "Fireblocks TST",
      "verificationStatus": "VERIFIED",
      "addressLine1": "657 Campfire Street",
      "city": "New York",
      "country": "US",
      "emailDomains": "fireblocks.com,example.com",
      "website": "https://fireblocks.com",
      "legalStructure": "CORPORATION",
      "legalName": "Fireblocks Inc.",
      "yearFounded": "2019",
      "incorporationCountry": "US",
      "isRegulated": "YES",
      "jurisdictions": "US, EU",
      "travelRule_TRLIGHT": "active",
      "createdAt": "2023-09-19T12:23:59.711Z",
      "hasAdmin": true,
      "isNotifiable": true,
      "issuers": {
        "yearFounded": {
          "issuerDid": "<string>"
        },
        "isRegulated": {
          "issuerDid": "<string>"
        },
        "regulatoryAuthorities": {
          "issuerDid": "<string>"
        },
        "name": {
          "issuerDid": "<string>"
        },
        "logo": {
          "issuerDid": "<string>"
        },
        "website": {
          "issuerDid": "<string>"
        },
        "legalName": {
          "issuerDid": "<string>"
        },
        "legalStructure": {
          "issuerDid": "<string>"
        },
        "incorporationCountry": {
          "issuerDid": "<string>"
        },
        "businessNumber": {
          "issuerDid": "<string>"
        },
        "addressLine1": {
          "issuerDid": "<string>"
        },
        "city": {
          "issuerDid": "<string>"
        },
        "country": {
          "issuerDid": "<string>"
        },
        "description": {
          "issuerDid": "<string>"
        }
      },
      "addressLine2": "Suite 10",
      "logo": "https://fireblocks.com/logo.png",
      "otherNames": "Fireblocks Test VASP",
      "identificationType": "Business License",
      "identificationCountry": "US",
      "businessNumber": "123456789",
      "regulatoryAuthorities": "SEC, FINCEN",
      "street": "Wall Street",
      "number": "10",
      "unit": "Apt 2B",
      "postCode": "10005",
      "state": "NY",
      "certificates": "ISO 27001",
      "description": "A leading provider of crypto security solutions.",
      "travelRule_OPENVASP": "active",
      "travelRule_SYGNA": "inactive",
      "travelRule_TRISA": "pending",
      "travelRule_EMAIL": "inactive",
      "travelRule_TRP": "active",
      "travelRule_SHYFT": "inactive",
      "travelRule_USTRAVELRULEWG": "pending",
      "createdBy": "admin",
      "updatedAt": "2024-08-29T08:23:51.416Z",
      "updatedBy": "system",
      "lastSentDate": "2024-03-18T09:26:07.988Z",
      "lastReceivedDate": "2024-03-20T11:45:30.212Z",
      "documents": "['license.pdf', 'compliance.pdf']"
    }
  ],
  "total": 2,
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

order
enum<string>

Field to order by

Available options:
ASC,
DESC
pageSize
number
default:500

Records per page

Required range: 100 <= x <= 1000
fields
enum<string>[]

CSV of fields to return (all, "blank" or see list of all field names below)

Available options:
did,
name,
verificationStatus,
addressLine1,
addressLine2,
city,
country,
emailDomains,
website,
logo,
legalStructure,
legalName,
yearFounded,
incorporationCountry,
isRegulated,
otherNames,
identificationType,
identificationCountry,
businessNumber,
regulatoryAuthorities,
jurisdictions,
street,
number,
unit,
postCode,
state,
certificates,
description,
travelRule_OPENVASP,
travelRule_SYGNA,
travelRule_TRISA,
travelRule_TRLIGHT,
travelRule_EMAIL,
travelRule_TRP,
travelRule_SHYFT,
travelRule_USTRAVELRULEWG,
createdAt,
createdBy,
updatedAt,
updatedBy,
lastSentDate,
lastReceivedDate,
documents,
hasAdmin,
isNotifiable,
issuers
Example:
["name", "country", "website"]

Search query

reviewValue
any

Filter by the VASP's review status. Possible values include: "TRUSTED", "BLOCKED", "MANUAL", or "NULL". When provided, only VASPs that match the specified reviewValue will be returned (i.e., VASPs that have already been reviewed to this status).

Available options:
TRUSTED,
BLOCKED,
MANUAL,
null
pageCursor
string

Cursor for pagination. When provided, the response will include the next page of results.

Response

Get all VASPs

data
object[]
required

An array of VASP objects, referencing the TravelRuleVASP schema.

total
integer

The total number of VASPs.

Example:

2

next
string | null

The URL for the next page of results.

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"